Tools used by OpenStack Documentation
Go to file
Hervé Beraud 6db7dbe4ec Remove python-dev from bindep
It is no longer supported by jammy and lead us to the following errors with the announce-release job.

```
No package matching 'python-dev' is available
```

Change-Id: Ia9e33bd46dbd98c2b83486f3bf95affabcd13b27
2022-11-07 10:55:54 +01:00
bin Cleanup doc-tools-check-languages 2019-08-15 20:35:40 +02:00
doc/source remove unicode literal from code 2022-07-30 15:30:49 +08:00
os_doc_tools Remove openstack-jsoncheck and openstack-indexpage 2019-08-19 13:04:13 +00:00
releasenotes Switch to newer openstackdocstheme and reno versions 2020-05-29 12:45:49 +02:00
sitemap Adding pre-commit 2020-09-15 15:05:13 +02:00
test Merge "Use unittest.mock instead of mock" 2020-08-17 16:07:38 +00:00
.gitignore Switch to stestr 2018-07-11 13:10:05 +07:00
.gitreview OpenDev Migration Patch 2019-04-19 19:34:21 +00:00
.mailmap Add .mailmap 2014-01-07 08:39:30 +01:00
.pre-commit-config.yaml Move flake8 as a pre-commit local target. 2021-03-23 13:14:08 +01:00
.stestr.conf Switch to stestr 2018-07-11 13:10:05 +07:00
.zuul.yaml Update CI to use unversioned jobs template 2022-03-15 15:06:47 +00:00
CONTRIBUTING.rst setup.cfg: Cleanup and update some urls to latest 2019-10-22 11:22:44 +08:00
HACKING.rst setup.cfg: Cleanup and update some urls to latest 2019-10-22 11:22:44 +08:00
LICENSE Add LICENSE and README.rst 2013-12-10 15:45:37 +01:00
README.rst Replace git.openstack.org URLs with opendev.org URLs 2019-04-23 03:16:36 +00:00
RELEASE_NOTES.rst Fix URLs 2017-09-07 19:55:58 +02:00
bindep.txt Remove python-dev from bindep 2022-11-07 10:55:54 +01:00
lower-constraints.txt Merge "Use unittest.mock instead of mock" 2020-08-17 16:07:38 +00:00
requirements.txt [goal] Migrate testing to ubuntu focal 2020-08-04 00:33:17 +00:00
setup.cfg Drop python3.6/3.7 support in testing runtime 2022-05-05 16:20:44 +02:00
setup.py Cleanup py27 support 2020-04-05 10:14:14 +02:00
test-requirements.txt Adding pre-commit 2020-09-15 15:05:13 +02:00
tox.ini Merge "Use py3 as the default runtime for tox" 2021-01-21 14:57:40 +00:00

README.rst

Team and repository tags

image

OpenStack Doc Tools

This repository contains tools used by the OpenStack Documentation project.

For more details, see the OpenStack Documentation Contributor Guide.

Prerequisites

You need to have Python 2.7 installed for using the tools.

This package needs a few external dependencies including lxml. If you do not have lxml installed, you can either install python-lxml or have it installed automatically and build from sources. To build lxml from sources, you need a C compiler and the xml and xslt development packages installed.

To install python-lxml, execute the following based on your distribution.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-lxml

On openSUSE:

$ zypper in python-lxml

On Ubuntu:

$ apt-get install python-lxml

For building from source, install the dependencies of lxml.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-devel libxml2-devel libxslt-devel

On openSUSE:

$ zypper in libxslt-devel

On Ubuntu:

$ apt-get install libxml2-dev libxslt-dev